Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.mock.interceptor
[Groovy] Class Demand

    java.lang.Object
      groovy.mock.interceptor.Demand

    class Demand

The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

Authors:
  Dierk Koenig

Property Summary
`java.util.Map` | `ignore`
`java.util.List` | `recorded`

Method Summary
`java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object args)`
`java.lang.Object` | `verify(java.util.List calls)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ignore

    java.util.Map ignore

### recorded

    java.util.List recorded

Method Detail

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object args)

### verify

    java.lang.Object verify(java.util.List calls)

Groovy Documentation